function [ mapping, optK ] = ValidityKmeans( data )
%INTRAINTERKMEANS Summary of this function goes here
%   Detailed explanation goes here
minValidity =bitmax;
[samples,dims] = size(data);

for k=2:10
    [tmpClust,C,sumd] = kmeans(data,k, 'EmptyAction', 'drop');
    avrInterDist = sum(sumd)/samples;
    minCdist = bitmax;
    for n=1:k-1
        for m=n+1:k
            dist = norm(C(n,:) - C(m,:));
            if (dist < minCdist)
                minCdist = dist;
            end;
        end;
    end;
    validity = avrInterDist /  minCdist;
    if(validity  <  minValidity)
        minValidity  = validity;
        mapping = tmpClust;
        optK = k;
    end;
end;

end

