function [ M, DFrames] = plotQCAnimation( inputFrames,mapping,dim1, dim2, dim3,sigma,steps,data)
%PLOTQCANIMATION Summary of this function goes here
%   Detailed explanation goes here
firstDim = 1;
secondDim = 2;
thirdDim = 3;
if (nargin > 7)
    [mapping,DFrames] = qcClusteringAnimation(sigma,steps,data);
else
    DFrames = inputFrames;
end;
if(nargin >= 5)
    firstDim = dim1;
    secondDim = dim2;
    thirdDim = dim3;
end;
[samples,dims,numFrames] = size(DFrames);
if(nargin < 2)
    mapping = ones(1,samples);
end;
  if dims >= 3
        %plot3(DFrames(:,firstDim,1),DFrames(:,secondDim,1),DFrames(:,thirdDim,1),'*','Color','k');
        frameData = [DFrames(:,firstDim,1),DFrames(:,secondDim,1),DFrames(:,thirdDim,1)];
        plotClassification(mapping, frameData,0);
        ax = axis;
         %view(-100,10);
    else
        % plot(DFrames(:,firstDim,1),DFrames(:,secondDim,1),'*','Color','k');
          frameData = [DFrames(:,firstDim,1),DFrames(:,secondDim,1)];
           plotClassification(mapping, frameData,0);
         ax = axis;
  end;
   M(1) = getframe;
   hold off;
for k=2:numFrames
    if dims >= 3
        %plot3(DFrames(:,firstDim,k),DFrames(:,secondDim,k),DFrames(:,thirdDim,k),'*','Color','k');
        frameData = [DFrames(:,firstDim,k),DFrames(:,secondDim,k),DFrames(:,thirdDim,k)];
        plotClassification(mapping, frameData,0);
        axis(ax);
       %view(-100,10);
   else
        %plot(DFrames(:,firstDim,k),DFrames(:,secondDim,k),'*','Color','k');
        frameData = [DFrames(:,firstDim,k),DFrames(:,secondDim,k)];
        plotClassification(mapping, frameData,0);
        axis(ax);
    end;
    M(k) = getframe;
     hold off;
end;

end

