%function [classification]=relabelClassificationFromReference(classification,reference)

function [newClassification]=relabelClassificationFromReference(classification,reference)
[x,y]=size(reference);
if min(x,y)~=1
    error('Dimensions reference mismatch!');
end
check = (size(classification)==size(reference));
if length(find(check))>0
    check = (size(classification)==size(reference'));%another check
    if length(find(check))>0    
        error('Dimensions classification mismatch!');
    end
end
newClassification=zeros(x,y);
if length(classification)==length(reference)%only if the two vector are equal
    len = max(classification);
    for ind=1:len
        currClass= find(classification==ind);
        refClass=reference(currClass);
        newLabel=1;%init the label
        classMaxSize=0;%init
        for jnd=1:max(refClass)
            siz=length(find(refClass==jnd));
            if siz>= classMaxSize
                newLabel = jnd;
                classMaxSize=siz;%new record
            end
        end
        newClassification (currClass)=newLabel;
    end
end