function [ mapping, optK ] = SilhouetteKmeans( data )
%SILHOUETTEKMEANS Summary of this function goes here
%  Run Kmeans on the data with K = 1 to 10, with the silhouette finds the
%  best K

maxSil = -1;

for k=1:10
    tmpClust = kmeans(data,k, 'EmptyAction', 'drop');
    sil = silhouette(data,tmpClust);
    if (mean(sil) > maxSil)
        maxSil =  mean(sil);
        mapping =  tmpClust;
        optK = k;
    end;
end;
end

