% function [jaccard] = calcJaccard(algorithmClassification,expertClassification)
% Function calculates Jaccard score (see ref)
% Input: 
% algorithmClassification - output of the clustering algorithm (e.g., K-Means)
% expertClassification  - the ecpert, 'true' classification 
% Output -
% jaccard score
function [jaccard] = calcJaccard(algorithmClassification,expertClassification)
[jaccard, dum1,dum2,dum3]=myClustMeasure(algorithmClassification,expertClassification);