function  clust=fineCluster(xyData,minD)
% clust=fineCluster(xyData,minD) cluster xyData points when closer than minD
% output: clust=vector the cluter index that is asigned to each data point
%        (it's cluster serial #)

[n,dim]=size(xyData);
clust=zeros(1,n);
[xi,ind]=min(xyData(:,dim));% last index is the potential and I want to start with the center
clustInd=1;
while min(clust)==0,
    x=xyData(ind,:);
    D=sum(((repmat(x,n,1)-xyData).^2)').^.5;
    clust(D<minD)=clustInd;
    inds=find(~clust);
    if length(ind)>0 
        [xi,ind]=min(xyData(inds,dim)); % index of the center point of the non-clustered
        ind = inds(ind);
    end
    clustInd=clustInd+1;
end    
clust=clust';





