%function [V,P,E] = show_qc (ri,q,sContours,sequences) 
% function show_qc 
% purpose: performing quantum clustering in n dimensions 

%V=qc(xyData,sig);
%q=1
%close all
[V,P,E,dV]=qc(xyData,q);
xyzData=[xyData(:,1),xyData(:,2),V];
griddens=50;

minx=min(xyzData(:,1));%-abs(min(xyzData(:,1)));
maxx=max(xyzData(:,1));%+abs(max(xyzData(:,1)));
step=(maxx-minx)/griddens;
tx = minx:step:maxx;

miny=min(xyzData(:,2));%-abs(min(xyzData(:,2)));
maxy=max(xyzData(:,2));%+abs(max(xyzData(:,2)));
step=(maxy-miny)/griddens;

ty = miny:step:maxy;

[XI,YI] = meshgrid(tx,ty);
%n=length(xyzData(:,1))
%ZI = griddata(xyzData(1:n,1),xyzData(1:n,2),xyzData(1:n,3),XI,YI);

griddens=griddens+1;
ZI=zeros(griddens);
x=zeros(1,dims);
for i=1:griddens
    for j=1:griddens
        x(1)=tx(j);x(2)=ty(i);
        ZI(i,j)=Vfunc(x,xyData,q,E);
    end
end
%h=figure;
%set(h,'Position',[726   480   553   406])
%subplot(2,1,1)
mesh(XI,YI,ZI)
%surfc(XI,YI,ZI)
hold on
plot3(xyzData(:,1),xyzData(:,2),V,'.','markersize',5)
%contour(XI,YI,ZI,40)


% plot(xyData(:,1),xyData(:,2),'b.','markersize',5)
%plot(D(:,1),D(:,2),'r+','markersize',5)
%[px,py] = gradient(-ZI);
%quiver(XI,YI,px,py)

hold off
rotate3d on
figure;
%set(h,'Position',[726   480   553   406])
contour(XI,YI,ZI,40)
hold on
%quiver(xyData(:,1),xyData(:,2),-dV(:,1),-dV(:,2))

%plot(xyData(:,1),xyData(:,2),'b.','markersize',5)
%[px,py] = gradient(-ZI);
%quiver(XI,YI,px,py)
hold off


%subplot(2,1,2)
%figure(2)
%hold on
%plot(xyzData(1:n,1),xyzData(1:n,2),'b+','markersize',2)
%hold off
